package MyTypeWithoutDSL;
use strict;
use warnings;

use Type::Library -base;
use Type::Tiny;
use Types::Standard qw(Int Str);

__PACKAGE__->meta->add_type(
    Type::Tiny->new(
        name       => 'Even',
        parent     => Int,
        constraint => sub { $_ % 2 == 0 }
    )
);

__PACKAGE__->meta->add_type(
    Type::Tiny->new(
        name       => 'Blood',
        parent     => Str,
        constraint => sub { m!\A(?:A|B|AB|O)\z! }
    )
);

__PACKAGE__->meta->make_immutable;
