package Foo;
use Function::Parameters;

fun aaa($a, $b) { }
fun bbb($a, $b, $c, $d, $e) { }

package test;
use Test::More;
use Module::Functions;
use Function::Parameters;

subtest 'prohibit too many args' => sub {
    my $MAX = 4;
    my $pkg = 'Foo';
    my @functions = get_public_functions($pkg);
    for my $f (@functions) {
        my $name = "${pkg}::${f}";
        my $code = \&{$name};
        my $info = Function::Parameters::info $code;

        ok $info->args_max <= $MAX, $name;
        # =>
        # not ok 1 - Foo::bbb
        # ok 2 - Foo::aaa
    }
};

done_testing;
